<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>DIY Map: Create clickable, configurable maps in Flash</title> 
</head>
<body>

<h2>Recent visitors to this web site</h2> 

<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,0,0" width="550" height="300" id="zoom_map" align="top">
	<param name="movie" value="world.swf?data_file=geodisplay.php" />
	<param name="quality" value="high" />
	<param name="bgcolor" value="#FFFFFF" />
	<embed src="world.swf?data_file=geodisplay.php" quality="high" bgcolor="#FFFFFF" width="550" height="300" name="Clickable World Map" align="top" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer">
	</embed>
</object>

<p>This script uses PHP to ping the <a href="http://www.hostip.info">hostip.info</a> database and convert IP address to latitude and longitude.</p>

<p>Below are the three scripts included (plus this one) to log and display IP addresses. You'll need to edit these files to add your own MySQL database information.</p>

<p>setupdb.php creates a MySQL table in an existing MySQL database.</p>

<p>geocounter.php detects the users IP address, pings hostip.info to convert it to latitude and longitude and then logs it to the MySQL database.</p>

<p>geodisplay.php produces the XML file used by the Flash map to plot data. Edit this file to change the colors here.</p>

<p><br />
	If you want to map traffic to a specific page (or pages), call the geocounter.php script from those pages.</p>

<p>Add this to the bottom of the page after the &#60;/html&#62; tag:<br />
	&#60;?php include('/pathname/to/geocounter.php'); ?&#62;</p>

<p>I suggest putting at the end because the hostip.info API sometimes takes a second to respond, and you don't want to slow down your page loading.</p>

<p>If you serve up pages with a .html extension, you may need to use a .htaccess file. Create a file called .htaccess or edit your existing .htaccess file in the topmost directory that serves pages on your site. Add the following code and save:

<p>AddType application/x-httpd-php .html .htm<br />
php_value auto_prepend_file /pathname/to/geocounter.php</p>

<p>In both cases, your should edit /pathname/to/geocounter.php to reflect the directory path of your web server.</p>

<p>You can use the HTML code snippet above to embed the map in your pages. Call the geodisplay.php file as the map's data file.</p>

<p><br /></p>

<p style="font-family:sans;font-size:small;"><a href="http://backspace.com/mapapp/">Powered by DIY Map</a></p>

</body>
</html>